DictObjCont.h File Reference

Header file for ObjCont, ItemObjCont and DictObjCont classes. More...

`#include <rcsb/mapped_ptr_vector.h>`
`#include <rcsb/mapped_ptr_vector.C>`
`#include <rcsb/DictObjContInfo.h>`
`#include <rcsb/DicFile.h>`
Include dependency graph for DictObjCont.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | ObjCont
| Public class that represents a generic object container. More...
class | ItemObjCont
| Private class that represents an item object container. More...
class | DictObjCont
| Public class that represents a dictionary object container. More...

## Detailed Description

Header file for ObjCont, ItemObjCont and DictObjCont classes.